Bug 208815 - Missing BinaryForSourceQueryImpl slows down CosIndexer
Missing BinaryForSourceQueryImpl slows down CosIndexer
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@apisupport
: PERFORMANCE, PLAN
Depends on:
Blocks: 206024
  Show dependency treegraph
 
Reported: 2012-02-24 07:23 UTC by Tomas Zezula
Modified: 2012-02-27 19:51 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-02-24 07:23:41 UTC
Most of the CosIndexer time is spent in the BinaryForSourceQuery.DefaultResult.getRoots() which needs to do quite expensive calculation (queries lots of ClassPath.getCP, SFBQ.fs).
Implementing BinaryForSourceQueryImpl reduces the time spent in CosIndexer by 90%.
Comment 1 Tomas Zezula 2012-02-24 07:26:29 UTC
Fixed jet-main 263679ed6809
Comment 2 Quality Engineering 2012-02-25 10:45:16 UTC
Integrated into 'main-golden', will be available in build *201202250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/263679ed6809
User: Tomas Zezula <tzezula@netbeans.org>
Log: #208815:Missing BinaryForSourceQueryImpl slows down CosIndexer
Comment 3 Jesse Glick 2012-02-27 15:48:02 UTC
Thanks, looks good.

BTW prefer unit tests to deal with external modules created in getWorkDir using NbModuleProjectGenerator, not netbeans.org modules, since BinaryForSourceImplTest as written would probably have to be added to test.config.stableBTD.excludes.
Comment 4 Tomas Zezula 2012-02-27 19:51:30 UTC
OK, I will fix the test to use the NbModuleProjectGenerator.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo